Skip to main content
POST
/
virtual-accounts
/
transfer
Transfer between accounts
curl --request POST \
  --url https://api.pcxpay.com/v1/virtual-accounts/transfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_account_id": "<string>",
  "to_account_id": "<string>",
  "amount": 100,
  "user_id": "<string>",
  "description": "<string>"
}
'
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
from_account_id
string
required
to_account_id
string
required
amount
number<float>
required
Example:

100

user_id
string
required
description
string

Response

Transfer completed

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Operation completed successfully"

data
object